fix for bug #1569649 left NetworkManager-wait-online disabled on some systems

Bug #1690992 reported by Steve Langasek on 2017-05-16
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
network-manager (Ubuntu)
Undecided
Unassigned
Zesty
Undecided
Unassigned

Bug Description

[SRU Justification]
While attempting to verify the usage of NetworkManager-wait-online.service in Ubuntu, I have discovered that while the packaging says that this service should be enabled (LP: #1569649), it is disabled on my machine. I believe that users who have continuously upgraded their systems, including over pre-releases of Ubuntu, may have been left in the same situation, where NetworkManager-wait-online.service is inactive and their boot order is therefore unreliable.

This disabled NetworkManager-wait-online due to lack of upgrade fix-up may explain other bug reports I've seen around NFS handling, where users continue to report that NFS is not correctly mounted at boot.

Though late, a one-time upgrade fix-up is warranted so that users can have consistent handling of the network-online target.

[Test case]
1. On an affected system, run 'systemctl status NetworkManager-wait-online'. Observe that the unit is listed as disabled.
2. Install network-manager from -proposed.
3. Run 'systemctl status NetworkManager-wait-online' again and verify that the unit is no longer marked as disabled.
4. Reboot and verify that the system still boots correctly.

[Regression potential]
Since NetworkManager-wait-online uses a 30 second timeout, services that depend on network-online.target should see at most a 30 second delay in startup. There should be no functional regressions, only regressions in the speed of boot and only on systems where services have explicitly declared that they depend on the network and the network is not available at boot.

Steve Langasek (vorlon) on 2017-05-16
Changed in network-manager (Ubuntu):
status: New → Fix Released
Steve Langasek (vorlon) on 2017-05-16
description: updated
Steve Langasek (vorlon) on 2017-05-24
description: updated

Hello Steve, or anyone else affected,

Accepted network-manager into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/network-manager/1.4.4-1ubuntu3.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in network-manager (Ubuntu Zesty):
status: New → Fix Committed
tags: added: verification-needed
Steve Langasek (vorlon) wrote :

it took a good deal of effort to validate this, beyond what's in the test case, because it turns out that there are no units in the default desktop install at all that pull in network-online.target; so I had to create /etc/rc.local and modify /lib/systemd/system/rc-local.service.d/debian.conf to include 'Wants=network-online.target' see anything worth looking at (and the latter is probably also a bug in that unit). But ultimately, I've managed to get to the following state:

$ systemctl status NetworkManager-wait-online.service
● NetworkManager-wait-online.service - Network Manager Wait Online
   Loaded: loaded (/lib/systemd/system/NetworkManager-wait-online.service; enabl
   Active: failed (Result: exit-code) since Fri 2017-05-26 00:06:03 PDT; 4min 3
     Docs: man:nm-online(1)
 Main PID: 786 (code=exited, status=1/FAILURE)

May 26 00:05:32 ubuntu17 systemd[1]: Starting Network Manager Wait Online...
May 26 00:06:03 ubuntu17 systemd[1]: NetworkManager-wait-online.service: Main pr
May 26 00:06:03 ubuntu17 systemd[1]: Failed to start Network Manager Wait Online
May 26 00:06:03 ubuntu17 systemd[1]: NetworkManager-wait-online.service: Unit en
May 26 00:06:03 ubuntu17 systemd[1]: NetworkManager-wait-online.service: Failed
$ systemctl status network-online.target
● network-online.target - Network is Online
   Loaded: loaded (/lib/systemd/system/network-online.target; static; vendor pre
   Active: active since Fri 2017-05-26 00:06:03 PDT; 12min ago
     Docs: man:systemd.special(7)
           http://www.freedesktop.org/wiki/Software/systemd/NetworkTarget

May 26 00:06:03 ubuntu17 systemd[1]: Reached target Network is Online.
$

So NetworkManager-wait-online is run, and even though I've configured this system such that the network fails to come up at boot, the network-online target is still reached after a delay.

tags: added: verification-donee
removed: verification-needed
tags: added: verification-done
removed: verification-donee
tags: added: verification-done-zesty
removed: verification-done
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package network-manager - 1.4.4-1ubuntu3.1

---------------
network-manager (1.4.4-1ubuntu3.1) zesty; urgency=medium

  * The fix for LP #1569649 did not re-enable NetworkManager-wait-online on
    systems where it had been disabled in the packaging. Include a one-time
    postinst fixup to correct this. LP: #1690992.

 -- Steve Langasek <email address hidden> Mon, 15 May 2017 21:35:15 -0700

Changed in network-manager (Ubuntu Zesty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for network-manager has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers